Latest 0.1.0
Homepage https://github.com/geek1706/GfycatSwift
License MIT
Platforms ios 8.0
Authors

A Gfycat API Client written in Swift 3.0

CI Status
Version
License
Platform
Carthage compatible

Requirements

  • iOS 8.0+
  • Xcode 8.0+
  • Swift 3.0+

Installation

Cocoapods

GfycatSwift is available through CocoaPods. To install
it, simply add the following line to your Podfile:

platform :ios, '8.0'
pod 'GfycatSwift'

Carthage

github "geek1706/GfycatSwift" 

Usage

// Get trending gifs
Gfycat.trending { (results, error) in
// Do something with gifs
}

// Get trending gifs with a tag name
Gfycat.trending("funny") { (results, error) in
// Do something with gifs
}

// Get trending tags
Gfycat.trendingTags { (results, error) in
// Do something with tags
}
// Get trending tags with pre-populated gifs
Gfycat.trendingTagsPopulated { (results, error) in
// Do something with gifs
}

// Search
Gfycat.search("funny") { (results, error) in
// Do something with gifs
}

Author

Trung Nguyen

License

GfycatSwift is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "GfycatSwift",
    "version": "0.1.0",
    "summary": "A Gfycat API Client written in Swift 3.",
    "description": "TODO: A Gfycat API Client written in Swift 3.",
    "homepage": "https://github.com/geek1706/GfycatSwift",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "Trung Nguyen": "[email protected]"
    },
    "source": {
        "git": "https://github.com/geek1706/GfycatSwift.git",
        "tag": "0.1.0"
    },
    "social_media_url": "https://twitter.com/geek1706",
    "platforms": {
        "ios": "8.0"
    },
    "source_files": "Gfycat/*.swift"
}

Pin It on Pinterest

Share This